# array_deleter< T > Struct Template Reference

`#include <_smart_ptr.h>`

List of all members.

## Public Member Functions

void | operator() (T *x) const

## Detailed Description

### template<class T>
struct array_deleter< T >

Definition at line 50 of file _smart_ptr.h.

## Member Function Documentation

template<class T>

void array_deleter< T >::operator() | ( | T * | x | ) | const`[inline]`

Definition at line 52 of file _smart_ptr.h.

The documentation for this struct was generated from the following file:

- _smart_ptr.h